#
# A test problem with binary and continuous variables,
# that is unbounded below
#

from coopr.pyomo import *

model = Model(name="test4")

model.N = RangeSet(1,4)

def p_rule(i, model):
    return i
model.p = Param(model.N, initialize=p_rule)

model.x = Var(model.N, within=Boolean)
model.y = Var()

def cost_rule(model):
    return summation(model.x)+model.y
model.cost = Objective(rule=cost_rule)

def limit_rule(model):
    return summation(model.x) == 1
model.limit = Constraint(rule=limit_rule)
