#
# A feasible problem with binary variables
#

from coopr.pyomo import *

model = Model(name="test5")

model.N = RangeSet(1,4)

def p_rule(i, model):
    return i
model.p = Param(model.N, initialize=p_rule)

model.x = Var(model.N, within=Boolean)

def cost_rule(model):
    return summation(model.x)
model.cost = Objective(rule=cost_rule)

def limit_rule(model):
    return summation(model.x) == 3
model.limit = Constraint(rule=limit_rule)
